<?php declare(strict_types=1);

namespace App\Dto\Request\Private\User;

use App\Dto\Builder\User;
use App\Dto\Request\Dto;

final readonly class Index extends Dto
{
    public function __construct(
        private User $userBuilderDto,
        private int $page
    ) { }

    public function getUserBuilderDto(): User
    {
        return $this->userBuilderDto;
    }

    public function getPage(): int
    {
        return $this->page;
    }
}
